///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// JavaScript Document
// edge_gui.js v.1.0.0
// This file allows Edge Animate compositions to work with exxternal data such as the glossary & Lectora course templatest

// 
var isUsingTOC = true; // set to true to use the TOC. Set to false to not use TOC at all i.e. assessments

// test function for lesson content messaging
function doMessage(theMsg)
{
    alert("page doMessage : " + theMsg);
}

// called from the GUI_menu when it's compositionReady
function populateResources()
{
	initTocSettings(); // in edgeGui.js placed here to avoid modifying the edge infoPopup
	
    var resourceContentHtml = myResources;
	//resourceContentHtml += '<br><b>Resources content to go here.</b>';
    AdobeEdge.getComposition("EDGE-infoPopup").getStage().populateResourceListing(resourceContentHtml);
}

// called from the GUI_menu when it's compositionReady
function populateGlossary()
{
    //alert("populateGlossary : " + myGlossary[0].id);
	var glossaryContentHtml = "";
	
	// myGlossary already exists and is loaded in with glossary.js 
	for(i = 0; i < myGlossary.length; i++) {
		glossaryContentHtml += '<tr><td><br><b>' +  myGlossary[i].word + '</b><br></td></tr><tr><td>' +  myGlossary[i].definition + '</br></td></tr>';
    }
    
    AdobeEdge.getComposition("EDGE-infoPopup").getStage().populateGlossaryListing(glossaryContentHtml);
}

//////////////////////////////////////////////////////////////////
// findGlossaryWord(theWord)
// param - theWord. is a string which equals a glossary word in myGlossary
// this is called from within Lectora to show a glossary word and definition popup
function findGlossaryWord(theWord)
{
    //console.log("findGlossaryWord : " + theWord);
    var foundDef = []; // we'll populate this with the word and definition and return it to Lectora for display
    var theLcWord = theWord.toLowerCase(); // convert it to lowercase to ignore case sensitivity
	
	// run the myGlossary object to see if the word and definition exist
    for(i = 0; i < myGlossary.length; i++) {
        // check to see if we've found the word we're looking for
        if(myGlossary[i].word.toLowerCase() == theLcWord)
        {
            foundDef.push(myGlossary[i].word);
            foundDef.push(myGlossary[i].definition);
			break; // no need to search further
        }

    } // end for loop through the glossary object
	// handle the word not being found
	if(foundDef[0] == undefined)
	{
		foundDef[0] = "Word not found";
		foundDef[1] = "Definition not found";
	}
    return foundDef; // return to Lectora for display
}
//////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////
// show custom next button, a button that's specifically for edge animate animation files to turn on
// for cases whewre the learner must accomplish a task before they can advance the course, the next button is hidden
// -- called from the edge animate composition when their screen requirements are met
// ** commented out because the Lectora template now has this function with the same
// ** at the same level of the document. The edge animation files call this method directly
/*
function showCustomNextButton()
{
	parent.showCustomNextButton(); // in lectora
}
*/
// end custom next button
/////////////////////////////////////////////////////////////////


// called from the infoPopup close button when clicked on
// calls to hide the lectora infoPopup by html name
function toggleInfoPopupVis()
{
    
    // hide the toc if it's visible
	if(parent.VarTocExpanded.getValue() == "false")
	{
		parent.hideToc(); // in lectora
	}
    
    // hide the info popup group
	parent.hideInfoPopup(); // in lectora
	
}



// theDisplay will be "hide" or "show"
// called from toggleExpand() within the Composition("EDGE-infoPopup")

function handleTheToc(theDisplay)
{
	//alert("handleTheToc("+theDisplay+") : parent.VarTocExpanded = " + parent.VarTocExpanded.getValue());
	if(theDisplay == "hide")
	{
		parent.VarTocExpanded.set("true");
		parent.hideToc(); // in lectora
	}else{
		parent.VarTocExpanded.set("false");
		parent.showToc(); // in lectora
	}
}

function initTocSettings()
{
	//var theStage = AdobeEdge.getComposition("EDGE-infoPopup").getStage();
	if(!isUsingTOC)
	{
		AdobeEdge.getComposition("EDGE-infoPopup").getStage().$("expand_button").hide();
		AdobeEdge.getComposition("EDGE-infoPopup").getStage().$("TOC_headerText").hide();//TOC_headerText
		AdobeEdge.getComposition("EDGE-infoPopup").getStage().toggleExpand(); // this will call handeltheToc("hide")
		parent.VarTocExpanded.set("true"); // init the var - should be already initted in the Lectora file
	}else{
		parent.VarTocExpanded.set("false"); // init the var - should be already initted in the Lectora file
	}
	
}

//initTocSettings();

/////////////////////////////////
// UTILITY FUNCTIONS
/////////////////////////////////
//-------------------------------
// getResource 
// call to open external resources; called from the lesson content or menu/resources window
function getResource(theExternalDoc)
{
   var win = window.open(externalDocPath + theExternalDoc, '_blank');
}
/////////////////////////////////


//////////////////////////////////////////////////////////////////////////
